Skip to main content
GET
/
api
/
v1
/
notification-policies
/
{id}
/
dispatches
List all dispatches (firing history) for a notification policy
curl --request GET \
  --url https://api.devhelm.io/api/v1/notification-policies/{id}/dispatches \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "currentStep": 123,
      "deliveries": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "channel": "<string>",
          "channelType": "<string>",
          "stepNumber": 123,
          "fireCount": 123,
          "attemptCount": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "dispatchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "lastAttemptAt": "2023-11-07T05:31:56Z",
          "nextRetryAt": "2023-11-07T05:31:56Z",
          "deliveredAt": "2023-11-07T05:31:56Z",
          "errorMessage": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "policyName": "<string>",
      "totalSteps": 123,
      "acknowledgedAt": "2023-11-07T05:31:56Z",
      "nextEscalationAt": "2023-11-07T05:31:56Z",
      "lastNotifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null